Isaac 0.1
Integracja
perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/perceptron/isaac-01?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/perceptron/isaac-01?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/perceptron/isaac-01", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "perceptron/isaac-01",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Wywołaj model Isaac 0.1 (perceptron/isaac-01) za pośrednictwem Doitong API. Dokumentacja dla agentów: https://doitong.com/pl/developers/models/perceptron/isaac-01.md
POST https://api.doitong.ru/v1/run/perceptron/isaac-01?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Jeśli status odpowiedzi to "queued" lub "running", odpytuj GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20, aż status zmieni się na "succeeded"; pliki znajdują się w outputs[].url. POST https://api.doitong.ru/v1/quote/perceptron/isaac-01 z tym samym ciałem zwraca dokładną cenę przed uruchomieniem.
To żądanie: ≈0,001 $ 1 kredyt API · ≈ 0,11 ₽ Uruchom na tej stronie
Twój nowy klucz API. Jest wyświetlany tylko teraz i znajduje się już w kodzie oraz w polu klucza API poniżej. Zachowaj go w tajemnicy: nigdy nie umieszczaj go w kodzie uruchamianym w przeglądarce.
Tutaj pojawi się pierwszy wynik
Zbuduj poniżej żądanie i uruchom je za pomocą klucza API. Wyniki są kopiowane do naszej przestrzeni dyskowej i przechowywane bezterminowo lub 7 dni bezpłatnie.
Zbuduj żądanie
Elementy sterujące są generowane ze schematu modelu. Kod i cena aktualizują się podczas ich zmiany.
/run/perceptron/isaac-01?wait=20
wycena → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/perceptron/isaac-01?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/perceptron/isaac-01?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/perceptron/isaac-01", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "perceptron/isaac-01",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Uruchom to żądanie
Klucz pozostaje w tej przeglądarce: jest wysyłany tylko do Doitong API i zapisywany (localStorage) tylko po zaznaczeniu opcji Zapamiętaj. Uzyskaj klucz API
Informacje o Isaac 0.1
Przyjmuje `image_url` i `prompt` oraz zwraca odpowiedź w formacie określonym przez `response_style`. Format tekstowy nadaje się do opisów, a formaty z ramkami, punktami i wielokątami dodają do wyniku dane o położeniu. Rezultat zawiera wygenerowany wynik, flagę częściowego wyniku, ewentualny komunikat o błędzie oraz informacje o wykorzystaniu.
Parametry
Wyślij nazwę kanoniczną albo natywną, nie obie. Nazwy kanoniczne
image_urlwymagane
image
promptwymagane
response_styleopcjonalne
Parametry plików przyjmują publiczny URL https://, identyfikator URI data: do 10 MB albo file_url przesłanego pliku. Pliki
Wynik
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "perceptron/isaac-01",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1,
"usd": "0.001",
"charged": 1,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n - There are three vehicles visible: a green truck, an orange car, and a brown car.\n - The green truck is positioned in front of the garage entrance.\n - The orange car is parked to the left of the green truck.\n - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n - The orange car is parked parallel to the garage but is not in the path of the green truck.\n - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
"partial": false,
"error": "string",
"usage": {
"completion_tokens": 1,
"prompt_tokens": 1,
"total_tokens": 1
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Pola wyniku
- output
- stringWynik utworzony przez model.
- partial
- booleanWskazuje, czy wynik jest niekompletny.
- error
- string | nullKomunikat opisujący błąd, jeśli wystąpił.
- usage
- object {completion_tokens, prompt_tokens, total_tokens} | nullSzczegóły wykorzystania.
Więcej modeli: Wizja
Dla agentów AI: ta strona w formacie Markdown jest dostępna pod adresem https://doitong.com/pl/developers/models/perceptron/isaac-01.md. Wszystkie modele i przewodniki: https://doitong.com/developers/llms.txt